#!/bin/bash
#
#

set -e
# set -x

if [ -z "$1" ]; then
  echo Usage: $0 input folder
  exit 1
fi

echo Folder is "$1"

for mp4file in "$1"*.mp4 ; do
getDateAtomicParsley() { AtomicParsley "$mp4file" -t | grep ©day ; }

dt=$(getDateAtomicParsley "$mp4file" -t)
echo DT is $dt
echo Now saving variables
saveIFS=$IFS
IFS='-' read -a mydate <<< "$dt"
echo "Part One: ${mydate[0]}"
echo "Part Two: ${mydate[1]}"
echo "Part Three: ${mydate[2]}"
echo "Part Four: ${mydate[3]}"

# echo So if I want to create a folder using the month that will be ${mydate[1]} and hence the new directory will be ${mydate[1]}" "$(date -d ${mydate[1]}/01 +%b)
newdir=${mydate[1]}" "$(date -d ${mydate[1]}/01 +%b)
mkdir -p "$1$newdir"
mv "$mp4file" "$1$newdir"/
echo now to start moving the files
echo the first will be $mp4file into "$1$newdir"/
echo but I will also need to move the other 4 files
    bname=$(basename "$mp4file")
    extension="${bname##*.}"
    filenamewoext=${bname%.*}
    echo Filename without extension is "$filenamewoext" at line 38
    mv "$1${filenamewoext}".hmi "$1$newdir"/
    mv "$1${filenamewoext}".srt "$1$newdir"/
    mv "$1${filenamewoext}".xml "$1$newdir"/
    mv "$1${filenamewoext}".nfo "$1$newdir"/
IFS=${saveIFS}

done
